Subject: MARS MIB

From: Chris Chung <[email-masked]>
Date: Thu, 20 Nov 1997 18:04:25 -0500 (EST)

----------
X-Sun-Data-Type: text
X-Sun-Data-Description: text
X-Sun-Data-Name: text
X-Sun-Charset: us-ascii
X-Sun-Content-Lines: 6

Please find in the attachment an updated version of the MARS MIB
<draft-ietf-ion-mars-mib-04.txt>.

- Chris

----------
X-Sun-Data-Type: default
X-Sun-Data-Description: default
X-Sun-Data-Name: draft-ietf-ion-mars-mib-04.txt
X-Sun-Charset: us-ascii
X-Sun-Content-Lines: 3719

Internetworking Over NBMA (ion) Working Group 
INTERNET DRAFT: <draft-ietf-ion-mars-mib-04.txt>             Chris Chung 
Expiration Date: May, 1998                                          SAIC

                                                            Maria Greene
                                                  Independent Contractor
                                                                (Editor)

                                                           November 1997

                   Definitions of Managed Objects for
             Multicast over UNI 3.0/3.1 based ATM Networks

                    <draft-ietf-ion-mars-mib-04.txt>

Status of this Memo

   This document is an Internet-Draft.  Internet-Drafts are working
   documents of the Internet Engineering Task Force (IETF), its Areas,
   and its Working Groups.  Note that other groups may also distribute
   working documents as Internet-Drafts.

   Internet-Drafts are draft documents valid for a maximum of six months
   and may be updated, replaced, or obsoleted by other documents at any
   time.  It is inappropriate to use Internet-Drafts as reference
   material or to cite them other than as a "work in progress".

   To learn the current status of any Internet-Draft, please check the
   "1id-abstracts.txt" listing contained in the Internet-Drafts Shadow
   Directories on ds.internic.net (US East Coast), nic.nordu.net
   (Europe), ftp.isi.edu (US West Coast), or munnari.oz.au (Pacific
   Rim).

Expires May 1998                                                [Page 1]


INTERNET-DRAFT                  MARS MIB                   November 1997

Abstract

   This memo defines an experimental portion of the Management
   Information Base (MIB) for use with network management protocols in
   the Internet community.  In particular, it describes managed objects
   for IP hosts and routers that use a Multicast Address Resolution
   Server (MARS) to support IP multicast over ATM, as described in
   'Support for Multicast over UNI 3.0/3.1 based ATM Networks' [1].

   This memo specifies a MIB module in a manner that is both compliant
   to the SNMPv2 SMI, and semantically identical to the peer SNMPv1
   definitions.

   This memo does not specify a standard for the Internet community.

1.  The SNMP Network Management Framework

   The SNMP Network Management Framework presently consists of three
   major components.  They are:

   o    the SMI, described in RFC 1902 [2] - the mechanisms used for
        describing and naming objects for the purpose of management.

   o    the MIB-II, STD 17, RFC 1213 [3] - the core set of managed
        objects for the Internet suite of protocols.

   o    the protocol, RFC 1157 [4] and/or RFC 1905 [5], - the protocol
        for accessing managed objects.

   The Framework permits new objects to be defined for the purpose of
   experimentation and evaluation.

1.1.  Object Definitions

   Managed objects are accessed via a virtual information store, termed
   the Management Information Base or MIB.  Objects in the MIB are
   defined using the subset of Abstract Syntax Notation One (ASN.1)
   defined in the SMI.  In particular, each object type is named by an
   OBJECT IDENTIFIER, an administratively assigned name.  The object
   type together with an object instance serves to uniquely identify a
   specific instantiation of the object.  For human convenience, we
   often use a textual string, termed the descriptor, to also refer to
   the object type.

Expires May 1998                                                [Page 2]


INTERNET-DRAFT                  MARS MIB                   November 1997

2.  Overview

   An understanding of MARS, as defined in [1] is assumed in this MIB
   module definition. However, the following terms are used frequently
   and are included here for reference:

   Multicast Group

   A group of endpoints that communicate with each other such that
   packets sent from one endpoint are received by all other members of
   the multicast group.

   Multicast Address Resolution Server (MARS)

   A server that distributes multicast group membership information to
   endpoints.

   Client/Endpoint

   An ATM-attached host or router that registers with a MARS and that is
   a member of one or more multicast groups. An endpoint may establish
   ATM Virtual Channels (VCs) to the other group members or may make use
   of a Multicast Server.

   Cluster

   The set of clients managed by a MARS.

   Multicast Server (MCS)

   A server that sets up ATM Virtual Channels (VCs) between endpoints in
   a multicast group and to which the endpoints forward data traffic for
   transmission on their behalf.

   The MIB is broken down into three major groups: a MARS client group,
   MARS (server) group, and MARS Multicast Server (MCS) Group.

2.1.  The MARS Client Group

   This group contains the following tables:

   o    MARS Client Table

   Information about a client such as its ATM address, the ATM address
   of its default MARS, registration status, and timers.

   o    MARS Client Multicast Group Table

Expires May 1998                                                [Page 3]


INTERNET-DRAFT                  MARS MIB                   November 1997

   A list of IP multicast address blocks associated with a MARS client.

   o    MARS Client Backup MARS Group Table

   A list of backup MARS's associated with a MARS client.

   o    MARS Client VC Table

   Information about VCs opened by a client.

   o    MARS Client Statistics Table

   Statistics collected by a MARS client.

2.2.  The MARS Server Group

   This group contains the following tables:

   o    MARS Table

   Information about a MARS such as its ATM address, its status and
   timers.

   o    MARS Multicast Group Table

   A list of IP multicast address blocks associated with a MARS.

   o    MARS VC Table

   Information about VCs opened by a MARS.

   o    MARS Registered Client Table

   A list of clients registered with a MARS.

   o    MARS Registered Multicast Server Table

   A list of MCSs registered with a MARS.

   o    MARS Statistics Table

Expires May 1998                                                [Page 4]


INTERNET-DRAFT                  MARS MIB                   November 1997

   Statistics collected by a MARS.

   o    MARS Host Map Table

   Mappings between multicast groups and clients maintained by a MARS.

   o    MARS Server Map Table

   Mappings between multicast groups and MCSs maintained by a MARS.

2.3.  The MARS Multicast Server Group

   This group contains the following tables:

   o    MARS Multicast Server Table

   Information about a MCS, such as its ATM address, default MARS ATM
   address, and registration state.

   o    MARS MCS Multicast Group Table

   A list of IP multicast address blocks associated with a MARS MCS.

   o    MARS MCS Backup Mars Group Table

   A list of backup MARS's associated with a MARS MCS.

   o    MARS Multicast Server VC Table

   Information about VCs opened by a MCS.

   o    MARS Multicast Server Statistics Table

   Statistics collected by a MCS.

Expires May 1998                                                [Page 5]


INTERNET-DRAFT                  MARS MIB                   November 1997

   3.  IP over ATM Multicast Address Resolution Server MIB Definitions

   IPATM-IPMC-MIB DEFINITIONS ::= BEGIN

   IMPORTS
       MODULE-COMPLIANCE, OBJECT-GROUP
           FROM SNMPv2-CONF
       experimental, MODULE-IDENTITY, NOTIFICATION-TYPE, Counter32,
           Integer32, UInteger32, OBJECT-TYPE, IpAddress
           FROM SNMPv2-SMI
       AtmAddr
           FROM ATM-TC-MIB
       TruthValue, RowStatus
           FROM SNMPv2-TC
       ipAdEntAddr
           FROM RFC1213-MIB
       InterfaceIndex
           FROM IF-MIB;

   ipAtmMarsMib MODULE-IDENTITY
       LAST-UPDATED "9711200145Z" -- 20 November 1997
       ORGANIZATION "Internetworking Over NBMA (ion) Working Group"
       CONTACT-INFO
           "Chris Chung ([email-masked])
            Science Applications International Corporation (SAIC)
           "
       DESCRIPTION
           "This module defines a portion of the managed information
            base (MIB) for managing classical IP multicast address
            resolution server (MARS) entities as described in the
            RFC2022.  This MIB is meant to used in conjunction with
            the ATM-MIB (RFC1695), MIB-II (RFC1213), and optionally
            the IF-MIB (RFC1573)."
       ::= { experimental 9999 } -- to be assigned by IANA

   --*****************************************************************
   --  IP ATM MARS Client Object Definitions
   --*****************************************************************

   ipAtmMarsClientObjects  OBJECT IDENTIFIER ::= { ipAtmMarsMib 1 }

   ipAtmMarsClientTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsClientEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION

Expires May 1998                                                [Page 6]


INTERNET-DRAFT                  MARS MIB                   November 1997

           "The objects defined in this table are used for
            the management of MARS clients, ATM attached
            endpoints."
       ::= { ipAtmMarsClientObjects 1 }

   ipAtmMarsClientEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsClientEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry contains a MARS client and its associated
            attributes.  An entry in the ipAtmMarsClientTable has
            a corresponding entry in the ipAddrTable defined in
            RFC1213. Association between the ipAddrTable and
            the ipAtmMarsClientTable is made through the index,
            ipAdEntAddr."
       INDEX { ipAdEntAddr, ipAtmMarsClientIndex }
       ::= { ipAtmMarsClientTable 1 }

   IpAtmMarsClientEntry ::=
       SEQUENCE {
           ipAtmMarsClientIndex                    Integer32,
           ipAtmMarsClientAddr                     AtmAddr,
           ipAtmMarsClientDefMarsAddr              AtmAddr,
           ipAtmMarsClientHsn                      Integer32,
           ipAtmMarsClientRegistration             INTEGER,
           ipAtmMarsClientCmi                      INTEGER,
           ipAtmMarsClientDefaultMtu               Integer32,
           ipAtmMarsClientFailureTimer             Integer32,
           ipAtmMarsClientRetranDlyTimer           INTEGER,
           ipAtmMarsClientRdmMulReqAddRetrTimer    INTEGER,
           ipAtmMarsClientRdmVcRevalidateTimer     INTEGER,
           ipAtmMarsClientJoinLeaveRetrInterval    Integer32,
           ipAtmMarsClientJoinLeaveRetrLimit       INTEGER,
           ipAtmMarsClientRegWithMarsRdmTimer      INTEGER,
           ipAtmMarsClientForceWaitTimer           Integer32,
           ipAtmMarsClientLmtToMissRedirMapTimer   INTEGER,
           ipAtmMarsClientIdleTimer                Integer32,
           ipAtmMarsClientRowStatus                RowStatus
       }

   ipAtmMarsClientIndex OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The auxiliary variable used to identify instances of
            the columnar objects in the MARS MarsClient table."

Expires May 1998                                                [Page 7]


INTERNET-DRAFT                  MARS MIB                   November 1997

       ::= { ipAtmMarsClientEntry 1 }

   ipAtmMarsClientAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The ATM address associated with the ATM Client."
       ::= { ipAtmMarsClientEntry 2 }

   ipAtmMarsClientDefMarsAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The MARS ATM address which is needed to setup the
            initial signalling path between a MARS client and
            its associated MARS."
       ::= { ipAtmMarsClientEntry 3 }

   ipAtmMarsClientHsn OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The cluster membership own 32 bit Host Sequence
            Number.  When a new cluster member starts up, it is
            initialized to zero.  When the cluster member sends
            the MARS_JOIN to register, the HSN will be correctly
            set to the current cluster sequence number (CSN) when
            the Client receives the copy of its MARS_JOIN from
            the MARS.  It is is used to track the MARS sequence
            number."
       ::= { ipAtmMarsClientEntry 4 }

   ipAtmMarsClientRegistration OBJECT-TYPE
       SYNTAX  INTEGER {
             notRegistered (1),
             registering (2),
             registered (3),
             reRegisteringFault (4),
             reRegisteringRedirMap (5)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "An indication with regards to the registration
            status of this client. The registration codes

Expires May 1998                                                [Page 8]


INTERNET-DRAFT                  MARS MIB                   November 1997

            of 'notRegistered (1)', 'registered (2)', and
            registered (3) are self-explanatory. The
            'reRegisteringFault (4)' indicates the client is
            in the process of re-registering with a MARS due
            to some fault conditions.  The 'reRegisteringRedMap
            (5)' status code shows that client is re-registering
            because it has received a MARS_REDIRECT_MAP message
            and was told to register with a shift MARS."
       ::= { ipAtmMarsClientEntry 5 }

   ipAtmMarsClientCmi OBJECT-TYPE
       SYNTAX  INTEGER (0..65535)
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "16 bit Cluster member identifier (CMI) assigned by the
            MARS which uniquely identifies each endpoint attached
            to the cluster.  The value becomes valid after the
            'ipAtmMarsClientRegistration' is set to the value
            of 'registered (1)'."
       ::= { ipAtmMarsClientEntry 6 }

   ipAtmMarsClientDefaultMtu OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The default maximum transmission unit (MTU) used for
            this cluster.  Note that the actual size used for a
            VC between two members of the cluster may be negotiated
            during connection setup and may be different than this
            value.  Default value = 9180 bytes."
       DEFVAL { 9180 }
       ::= { ipAtmMarsClientEntry 7 }

   ipAtmMarsClientFailureTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "A timer used to flag the failure of last MARS_MULTI
            to arrive.  Default value = 10 seconds (recommended)."
       DEFVAL { 10 }
       ::= { ipAtmMarsClientEntry 8 }

   ipAtmMarsClientRetranDlyTimer OBJECT-TYPE
       SYNTAX  INTEGER (5..10)

Expires May 1998                                                [Page 9]


INTERNET-DRAFT                  MARS MIB                   November 1997

       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The delay timer for sending out new MARS_REQUEST
            for the group after the client learned that there
            is no other group in the cluster.  The timer must
            be set between 5 and 10 seconds inclusive."
       ::= { ipAtmMarsClientEntry 9 }

   ipAtmMarsClientRdmMulReqAddRetrTimer OBJECT-TYPE
       SYNTAX  INTEGER (5..10)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The initial random L_MULTI_RQ/ADD retransmit timer
            which can be set between 5 and 10 seconds inclusive."
       ::= { ipAtmMarsClientEntry 10 }

   ipAtmMarsClientRdmVcRevalidateTimer OBJECT-TYPE
       SYNTAX  INTEGER (1..10)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The random time to set VC_revalidate flag.  The
            timer value ranges between 1 and 10 seconds
            inclusive."
       ::= { ipAtmMarsClientEntry 11 }

   ipAtmMarsClientJoinLeaveRetrInterval OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "MARS_JOIN/LEAVE retransmit interval. The minimum
            and recommended values are 5 and 10 seconds,
            respectively."
       DEFVAL { 10 }
       ::= { ipAtmMarsClientEntry 12 }

   ipAtmMarsClientJoinLeaveRetrLimit OBJECT-TYPE
       SYNTAX  INTEGER (0..5)
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION

Expires May 1998                                               [Page 10]


INTERNET-DRAFT                  MARS MIB                   November 1997

           "MARS_JOIN/LEAVE retransmit limit. The maximum
            value is 5."
       ::= { ipAtmMarsClientEntry 13 }

   ipAtmMarsClientRegWithMarsRdmTimer OBJECT-TYPE
       SYNTAX  INTEGER (1..10)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Random time to register with MARS."
       ::= { ipAtmMarsClientEntry 14 }

   ipAtmMarsClientForceWaitTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Force wait if MARS re-registration is looping.
            The minimum value is 1 minute."
       ::= { ipAtmMarsClientEntry 15 }

   ipAtmMarsClientLmtToMissRedirMapTimer OBJECT-TYPE
       SYNTAX  INTEGER (0..4)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Timer limit for client to miss MARS_REDIRECT_MAPS."
       ::= { ipAtmMarsClientEntry 16 }

   ipAtmMarsClientIdleTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The configurable inactivity timer associated with a
            client. When a VC is created at this client, it gets
            the idle timer value from this configurable timer.
            The minimum suggested value is 1 minute and the
            recommended default value is 20 minutes."
       DEFVAL { 20 }
       ::= { ipAtmMarsClientEntry 17 }

   ipAtmMarsClientRowStatus OBJECT-TYPE
       SYNTAX  RowStatus

Expires May 1998                                               [Page 11]


INTERNET-DRAFT                  MARS MIB                   November 1997

       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the client entries to be created
            or deleted from this table."
       ::= { ipAtmMarsClientEntry 18 }

   --******************************************************************
   --  IP ATM MARS Client Multicast Group Address Object Definitions
   --******************************************************************

   ipAtmMarsClientMcGrpTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsClientMcGrpEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table contains a list of IP multicast group address
            blocks associated with a MARS client.  Entries in this
            table are used by the client that needs to receive
            packets from the specified range of multicast addresses
            at the client level.
            Each row can be created or deleted via configuration."
       ::= {  ipAtmMarsClientObjects 2 }

   ipAtmMarsClientMcGrpEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsClientMcGrpEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry represents a consecutive block of multicast
            group address."
       INDEX { ipAtmMarsClientIndex,
               ipAtmMarsClientMcMinGrpAddr,
               ipAtmMarsClientMcMaxGrpAddr }
       ::= { ipAtmMarsClientMcGrpTable 1 }

   IpAtmMarsClientMcGrpEntry ::=
       SEQUENCE {
           ipAtmMarsClientMcMinGrpAddr           IpAddress,
           ipAtmMarsClientMcMaxGrpAddr           IpAddress,
           ipAtmMarsClientMcGrpRowStatus         RowStatus
       }

   ipAtmMarsClientMcMinGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current

Expires May 1998                                               [Page 12]


INTERNET-DRAFT                  MARS MIB                   November 1997

       DESCRIPTION
           "Minimum multicast group address - the min and max
            multicast forms multi-group block.  The MinGrpAddr
            and MaxGrpAddr are the same indicating that this
            block contains a single group address."
       ::= { ipAtmMarsClientMcGrpEntry 1 }

   ipAtmMarsClientMcMaxGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Maximum multicast group address - the min and max
            multicast forms a multi-group block.  The MinGrpAddr
            and MaxGrpAddr are the same indicating that this
            block contains a single group address."
       ::= { ipAtmMarsClientMcGrpEntry 2 }

   ipAtmMarsClientMcGrpRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the multicast address entries to
            be created or deleted from this table."
       ::= { ipAtmMarsClientMcGrpEntry 3 }

   --******************************************************************
   --  IP ATM MARS Client Backup MARS Object Definitions
   --******************************************************************

   ipAtmMarsClientBackupMarsTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsClientBackupMarsEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table contains a list of backup MARS addresses that
            a client can make contact to in case of failure for
            connecting to the primary server. The list of addresses
            is in descending order of preference. It should be noted
            that the backup list provided by the MARS to the client
            via the MARS_REDIRECT_MAP message has a higher preference
            than addresses that are manually configured into the client.
            When such a list is received from the MARS, this information
            should be inserted at the top of the list.
            Each row can be created or deleted via configuration."
       ::= {  ipAtmMarsClientObjects 3 }

Expires May 1998                                               [Page 13]


INTERNET-DRAFT                  MARS MIB                   November 1997

   ipAtmMarsClientBackupMarsEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsClientBackupMarsEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry represents an ATM address of a backup MARS."
       INDEX { ipAtmMarsClientIndex, ipAtmMarsClientBackupMarsAddr }
       ::= { ipAtmMarsClientBackupMarsTable 1 }

   IpAtmMarsClientBackupMarsEntry ::=
       SEQUENCE {
           ipAtmMarsClientBackupMarsAddr         AtmAddr,
           ipAtmMarsClientBackupMarsRowStatus    RowStatus
       }

   ipAtmMarsClientBackupMarsAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The ATM address associated with a backup MARS."
       ::= { ipAtmMarsClientBackupMarsEntry 1 }

   ipAtmMarsClientBackupMarsRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the backup MARS entries to
            be created or deleted from this table."
       ::= { ipAtmMarsClientBackupMarsEntry 2 }

   --*****************************************************************
   --  IP ATM MARS Client VC Object Definition Table 
   --*****************************************************************

   ipAtmMarsClientVcTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsClientVcEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION
           "This table contains information about open virtual
            circuits (VCs) that a client has.  For point to point
            circuit, each entry represents a single VC connection
            between this client ATM address to another party ATM
            address.  In the case of point to multipoint connection
            where a single source address is associated with
            multiple destinations, several entries are used to

Expires May 1998                                               [Page 14]


INTERNET-DRAFT                  MARS MIB                   November 1997

            represent the relationship.  An example of point to
            multi-point VC represented in a table is shown below.

                   Client    VPI/VCI    Grp Addr1/Addr2    Part Addr
                     1         0,1          g1,g2             p1
                     1         0,1          g1,g2             p2
                     1         0,1          g1,g2             p3

            Note:  This table assumes the IP multicast address
                   groups (min, max) defined in each entry are
                   always consecutive.  In the case of a client
                   receives a JOIN/LEAVE with mars$flag.punched
                   set, each pair of the IP groups will first be
                   broken into several pairs of consecutive IP
                   groups before each entry row corresponding to
                   a pair of IP group is created."
       ::= { ipAtmMarsClientObjects 4 }

   ipAtmMarsClientVcEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsClientVcEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The objects contained in the entry are VC related
            attributes such as VC signalling type, control VC
            type, idle timer, negotiated MTU size, etc."
       INDEX { ipAtmMarsClientIndex,
               ipAtmMarsClientVcVpi,
               ipAtmMarsClientVcVci,
               ipAtmMarsClientVcMinGrpAddr,
               ipAtmMarsClientVcMaxGrpAddr,
               ipAtmMarsClientVcPartyAddr }
       ::= { ipAtmMarsClientVcTable 1 }

   IpAtmMarsClientVcEntry ::=
       SEQUENCE {
           ipAtmMarsClientVcVpi            INTEGER,
           ipAtmMarsClientVcVci            INTEGER,
           ipAtmMarsClientVcMinGrpAddr     IpAddress,
           ipAtmMarsClientVcMaxGrpAddr     IpAddress,
           ipAtmMarsClientVcPartyAddr      AtmAddr,
           ipAtmMarsClientVcPartyAddrType  INTEGER,
           ipAtmMarsClientVcType           INTEGER,
           ipAtmMarsClientVcCtrlType       INTEGER,
           ipAtmMarsClientVcIdleTimer      Integer32,
           ipAtmMarsClientVcRevalidate     TruthValue,
           ipAtmMarsClientVcEncapsType     INTEGER,
           ipAtmMarsClientVcNegotiatedMtu  Integer32,

Expires May 1998                                               [Page 15]


INTERNET-DRAFT                  MARS MIB                   November 1997

           ipAtmMarsClientVcRowStatus      RowStatus
       }

   ipAtmMarsClientVcVpi OBJECT-TYPE
       SYNTAX  INTEGER (0..4095)
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The value of virtual path identifier (VPI)."
       ::= { ipAtmMarsClientVcEntry 1 }

   ipAtmMarsClientVcVci OBJECT-TYPE
       SYNTAX  INTEGER (0..65535)
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The value of virtual circuit identifier (VCI)."
       ::= { ipAtmMarsClientVcEntry 2 }

   ipAtmMarsClientVcMinGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Minimum IP multicast group address - the min and
            max multicast forms a multi-group consecutive
            block which is associated with a table entry. The
            MinGrpAddr and MaxGrpAddr are the same indicating
            the size of multi-group block is 1, a single IP
            group."
       ::= { ipAtmMarsClientVcEntry 3 }

   ipAtmMarsClientVcMaxGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Maximum IP multicast group address - the min and
            max multicast forms a multi-group consecutive
            block which is associated with a table entry. The
            MinGrpAddr and MaxGrpAddr are the same indicating
            the size of multi-group block is 1, a single IP
            group."
       ::= { ipAtmMarsClientVcEntry 4 }

   ipAtmMarsClientVcPartyAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS not-accessible

Expires May 1998                                               [Page 16]


INTERNET-DRAFT                  MARS MIB                   November 1997

       STATUS  current
       DESCRIPTION
           "An ATM party address in which this VC is linked.
            The party type is identified by the
            ipAtmMarsClientVcPartyAddrType."
       ::= { ipAtmMarsClientVcEntry 5 }

   ipAtmMarsClientVcPartyAddrType OBJECT-TYPE
       SYNTAX  INTEGER {
             called (1),
             calling (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The party type is associated with the party address.
            The 'called (1)' indicates that the party address is
            a destination address which implies that VC is
            originated from this client.  The 'calling (2)'
            indicates the VC was initiated externally to this
            client. In this case, the party address is the
            source address."
       ::= { ipAtmMarsClientVcEntry 6 }

   ipAtmMarsClientVcType OBJECT-TYPE
       SYNTAX  INTEGER {
             pvc (1),
             svc (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Circuit Connection type: permanent virtual circuit or
            switched virtual circuit."
       ::= { ipAtmMarsClientVcEntry 7 }

   ipAtmMarsClientVcCtrlType OBJECT-TYPE
       SYNTAX  INTEGER {
              pointToPointVC (1),
              clusterControlVC (2),
              pointToMultiPointVC (3)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Control VC type used to specify a particular connection.
              pointToPointVC (1):
                used by the ATM Clients for the registration and

Expires May 1998                                               [Page 17]


INTERNET-DRAFT                  MARS MIB                   November 1997

                queries.  This VC or the initial signalling path
                is set up from the source Client to a MARS. It is
                bi-directional.
              clusterControlVC (2):
                used by a MARS to issue asynchronous updates to an
                ATM Client.  This VC is established from the MARS
                to the ATM Client.
              pointToMultiPointVC (3):
                used by the client to transfer multicast data
                packets from layer 3.  This VC is established
                from the source ATM Client to a destination ATM
                endpoint which can be a multicast group member
                or an MCS.  The destination endpoint was obtained
                from the MARS."
       ::= { ipAtmMarsClientVcEntry 8 }

   ipAtmMarsClientVcIdleTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The idle timer associated with this VC.  The minimum
            suggested value is 1 minute and the recommended
            default value is 20 minutes."
       DEFVAL { 20 }
       ::= { ipAtmMarsClientVcEntry 9 }

   ipAtmMarsClientVcRevalidate OBJECT-TYPE
       SYNTAX  TruthValue
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "A flag associated with an open and active multipoint
            VC.  It is checked every time a packet is queued for
            transmission on that VC. The object has the value of
            true (1) if revalidate is required and the value
            false (2) otherwise."
       ::= { ipAtmMarsClientVcEntry 10 }

    ipAtmMarsClientVcEncapsType OBJECT-TYPE
       SYNTAX  INTEGER {
             other (1),
             llcSnap (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION

Expires May 1998                                               [Page 18]


INTERNET-DRAFT                  MARS MIB                   November 1997

           "The encapsulation type used when communicating over
            this VC."
       ::= { ipAtmMarsClientVcEntry 11 }

   ipAtmMarsClientVcNegotiatedMtu OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The negotiated MTU when communicating over this VC."
       ::= { ipAtmMarsClientVcEntry 12 }

   ipAtmMarsClientVcRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the client entries to be created
            or deleted from this table."
       ::= { ipAtmMarsClientVcEntry 13 }

   --*****************************************************************
   --  IP ATM MARS Client Statistic Object Definition Table
   --*****************************************************************

   ipAtmMarsClientStatTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsClientStatEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION
           "The table contains statistics collected at MARS
            clients."
       ::= { ipAtmMarsClientObjects 5 }

   ipAtmMarsClientStatEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsClientStatEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry contains statistics collected at one MARS
            client."
       INDEX { ipAtmMarsClientIndex }
       ::= { ipAtmMarsClientStatTable 1 }

   IpAtmMarsClientStatEntry ::=
       SEQUENCE {
           ipAtmMarsClientStatTxReq        Counter32,
           ipAtmMarsClientStatTxJoin       Counter32,

Expires May 1998                                               [Page 19]


INTERNET-DRAFT                  MARS MIB                   November 1997

           ipAtmMarsClientStatTxLeave      Counter32,
           ipAtmMarsClientStatTxGrpLstReq  Counter32,
           ipAtmMarsClientStatRxJoin       Counter32,
           ipAtmMarsClientStatRxLeave      Counter32,
           ipAtmMarsClientStatRxMulti      Counter32,
           ipAtmMarsClientStatRxNak        Counter32,
           ipAtmMarsClientStatRxMigrate    Counter32,
           ipAtmMarsClientStatRxGrpLstRply Counter32,
           ipAtmMarsClientStatFailMulti    Counter32
       }

   ipAtmMarsClientStatTxReq OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_REQUEST messages transmitted
            from a client."
       ::= { ipAtmMarsClientStatEntry 1 }

   ipAtmMarsClientStatTxJoin OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_JOIN messages transmitted from
            a client."
       ::= { ipAtmMarsClientStatEntry 2 }

   ipAtmMarsClientStatTxLeave OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_LEAVE messages transmitted from
            a client."
       ::= { ipAtmMarsClientStatEntry 3 }

   ipAtmMarsClientStatTxGrpLstReq OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_GROUPLIST_REQUEST messages
            transmitted from a client."
       ::= { ipAtmMarsClientStatEntry 4 }

   ipAtmMarsClientStatRxJoin OBJECT-TYPE

Expires May 1998                                               [Page 20]


INTERNET-DRAFT                  MARS MIB                   November 1997

       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_JOIN messages received by
            a client."
       ::= { ipAtmMarsClientStatEntry 5 }

   ipAtmMarsClientStatRxLeave OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_LEAVE messages received by
            a client."
       ::= { ipAtmMarsClientStatEntry 6 }

   ipAtmMarsClientStatRxMulti OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MULTI messages received by
            a client."
       ::= { ipAtmMarsClientStatEntry 7 }

   ipAtmMarsClientStatRxNak OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_NAK messages received by
            a client."
       ::= { ipAtmMarsClientStatEntry 8 }

   ipAtmMarsClientStatRxMigrate OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MIGRATE messages received by
            a client."
       ::= { ipAtmMarsClientStatEntry 9 }

       ipAtmMarsClientStatRxGrpLstRply OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current

Expires May 1998                                               [Page 21]


INTERNET-DRAFT                  MARS MIB                   November 1997

       DESCRIPTION
           "Total number of MARS_GROUPLIST_REPLY messages
            received by a client."
       ::= { ipAtmMarsClientStatEntry 10 }

   ipAtmMarsClientStatFailMulti OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of timeouts occurred indicating
            failure of the last MARS_MULTI to arrive."
       ::= { ipAtmMarsClientStatEntry 11 }

   --*****************************************************************
   --  IP ATM MARS Object Definitions
   --*****************************************************************

   ipAtmMarsObjects    OBJECT IDENTIFIER ::= { ipAtmMarsMib 2 }

   ipAtmMarsTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION
           "The objects defined in this table are used for the
            management of MARS servers."
       ::= {  ipAtmMarsObjects 1 }

   ipAtmMarsEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry contains a MARS and its associated
            attributes."
       INDEX { ipAtmMarsIndex, ipAtmMarsIfIndex }
       ::= { ipAtmMarsTable 1 }

   IpAtmMarsEntry ::=
       SEQUENCE {
           ipAtmMarsIndex              Integer32,
           ipAtmMarsIfIndex            InterfaceIndex,
           ipAtmMarsAddr               AtmAddr,
           ipAtmMarsLocal              TruthValue,
           ipAtmMarsServStatus         INTEGER,
           ipAtmMarsServType           INTEGER,
           ipAtmMarsServPriority       UInteger32,

Expires May 1998                                               [Page 22]


INTERNET-DRAFT                  MARS MIB                   November 1997

           ipAtmMarsRedirMapMsgTimer   INTEGER,
           ipAtmMarsCsn                UInteger32,
           ipAtmMarsSsn                UInteger32,
           ipAtmMarsRowStatus          RowStatus
       }

   ipAtmMarsIndex OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The auxiliary variable used to identify instances of
            the columnar objects in the MARS table."
       ::= { ipAtmMarsEntry 1 }

   ipAtmMarsIfIndex OBJECT-TYPE
       SYNTAX  InterfaceIndex
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The ifIndex of the interface that the MARS is
            associated with."
       ::= { ipAtmMarsEntry 2 }

   ipAtmMarsAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The ATM address associated with the MARS."
       ::= { ipAtmMarsEntry 3 }

   ipAtmMarsLocal OBJECT-TYPE
       SYNTAX  TruthValue
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "A flag associated with a MARS entry.  The object has
            the value of true (1) if the MARS whose interface
            is local to the machine that implements this MIB;
            otherwise the object has the value of false (2)."
       ::= { ipAtmMarsEntry 4 }

   ipAtmMarsServStatus OBJECT-TYPE
       SYNTAX  INTEGER {
             active (1),
             inactive (2),
             faulted (3)

Expires May 1998                                               [Page 23]


INTERNET-DRAFT                  MARS MIB                   November 1997

           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The current status of MARS."
       ::= { ipAtmMarsEntry 5 }

   ipAtmMarsServType OBJECT-TYPE
       SYNTAX  INTEGER {
             primary (1),
             backup (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Types of MARS servers: primary or backup."
       ::= { ipAtmMarsEntry 6 }

   ipAtmMarsServPriority OBJECT-TYPE
       SYNTAX  UInteger32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Priority associated with a backup MARS server."
       ::= { ipAtmMarsEntry 7 }

   ipAtmMarsRedirMapMsgTimer OBJECT-TYPE
       SYNTAX  INTEGER (1..2)
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Periodic interval on which a multi-part
            MARS_REDIRECT_MAP is sent from this MARS."
          DEFVAL { 1 }
       ::= { ipAtmMarsEntry 8 }

   ipAtmMarsCsn OBJECT-TYPE
       SYNTAX  UInteger32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Current cluster sequence number (CSN) which is global
            within the context of a given protocol.  The CSN is
            incremented by the MARS on every transmission of a
            message on ClusterControlVC.  A cluster member uses
            the CSN to track the message loss on ClusterControlVC
            or to monitor a membership change."

Expires May 1998                                               [Page 24]


INTERNET-DRAFT                  MARS MIB                   November 1997

       ::= { ipAtmMarsEntry 9 }

   ipAtmMarsSsn OBJECT-TYPE
       SYNTAX  UInteger32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Current server sequence number (SSN) which is global
            within the context of a given protocol.  The SSN is
            incremented by the MARS on every transmission of a
            message on ServerControlVC.  A MCS uses the SSN to
            track the message loss on ServerControlVC or to
            monitor a membership change."
       ::= { ipAtmMarsEntry 10 }

   ipAtmMarsRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the client entries to be
            created or deleted from this table."
       ::= { ipAtmMarsEntry 11 }

   --******************************************************************
   --  IP ATM MARS Multicast Group Address Object Definitions
   --******************************************************************

   ipAtmMarsMcGrpTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsMcGrpEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table contains a list of IP multicast address
            blocks associated with a MARS.  Entries in this table
            are used by the MARS host map table and the server map
            table.  They should be created prior being referenced
            as indices by those tables.
            Each row can be created or deleted via configuration."
       ::= {  ipAtmMarsObjects 2 }

   ipAtmMarsMcGrpEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsMcGrpEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry represents a consecutive block of multicast
            group address."

Expires May 1998                                               [Page 25]


INTERNET-DRAFT                  MARS MIB                   November 1997

       INDEX { ipAtmMarsIndex,
               ipAtmMarsMcMinGrpAddr,
               ipAtmMarsMcMaxGrpAddr }
       ::= { ipAtmMarsMcGrpTable 1 }

   IpAtmMarsMcGrpEntry ::=
       SEQUENCE {
           ipAtmMarsMcMinGrpAddr           IpAddress,
           ipAtmMarsMcMaxGrpAddr           IpAddress,
           ipAtmMarsMcGrpAddrUsage         INTEGER,
           ipAtmMarsMcGrpRxLayer3GrpSet    Counter32,
           ipAtmMarsMcGrpRxLayer3GrpReset  Counter32,
           ipAtmMarsMcGrpRowStatus         RowStatus
       }

   ipAtmMarsMcMinGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Minimum multicast group address - the min and max
            multicast forms multi-group block.  The MinGrpAddr
            and MaxGrpAddr are the same indicating that this
            block contains a single group address."
       ::= { ipAtmMarsMcGrpEntry 1 }

   ipAtmMarsMcMaxGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Maximum multicast group address - the min and max
            multicast forms a multi-group block.  The MinGrpAddr
            and MaxGrpAddr are the same indicating that this
            block contains a single group address."
       ::= { ipAtmMarsMcGrpEntry 2 }

   ipAtmMarsMcGrpAddrUsage OBJECT-TYPE
       SYNTAX  INTEGER {
             hostMap (1),
             serverMap (2),
             hostServerMap (3)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Usage of the multicast address block.  The hostMap (1)
            indicates that the address block is only used in the

Expires May 1998                                               [Page 26]


INTERNET-DRAFT                  MARS MIB                   November 1997

            MARS host map table. The serverMap (2) indicates
            that the address block is only used in the MARS
            server map table.  The hostServerMap (3) indicates
            that the address block is used in both the host map
            and the server map tables."
       ::= { ipAtmMarsMcGrpEntry 3 }

   ipAtmMarsMcGrpRxLayer3GrpSet OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Number of MARS_JOIN messages received with
            mars$flags.layer3grp flag set."
       ::= { ipAtmMarsMcGrpEntry 4 }

   ipAtmMarsMcGrpRxLayer3GrpReset OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Number of MARS_JOIN messages received with
            mars$flags.layer3grp flag reset."
       ::= { ipAtmMarsMcGrpEntry 5 }

   ipAtmMarsMcGrpRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the multicast address entries to
            be created or deleted from this table."
       ::= { ipAtmMarsMcGrpEntry 6 }

   --*****************************************************************
   --  IP ATM MARS Host Map Object Definitions
   --*****************************************************************

   ipAtmMarsHostMapTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsHostMapEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table caches mappings between IP multicast
            address to a list of ATM addresses that are
            configured or dynamically learned from the MARS.
            This address resolution is used for the host map.
            It supports the mapping of a block of multicast

Expires May 1998                                               [Page 27]


INTERNET-DRAFT                  MARS MIB                   November 1997

            group addresses to a cluster member address.  In
            the case where a group block is associated with
            multiple cluster members, several entries are
            used to representing the relationship."
       ::= { ipAtmMarsObjects 3 }

   ipAtmMarsHostMapEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsHostMapEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry row contains attributes associated with
            the mapping between a multicast group block and an
            ATM address."
       INDEX { ipAtmMarsIndex,
               ipAtmMarsMcMinGrpAddr,
               ipAtmMarsMcMaxGrpAddr,
               ipAtmMarsHostMapAtmAddr }
       ::= { ipAtmMarsHostMapTable 1 }

   IpAtmMarsHostMapEntry ::=
       SEQUENCE {
           ipAtmMarsHostMapAtmAddr     AtmAddr,
           ipAtmMarsHostMapRowType     INTEGER,
           ipAtmMarsHostMapRowStatus   RowStatus
       }

   ipAtmMarsHostMapAtmAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The mapped cluster member ATM address."
       ::= { ipAtmMarsHostMapEntry 1 }

   ipAtmMarsHostMapRowType OBJECT-TYPE
       SYNTAX  INTEGER {
             static (1),
             dynamic (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Method in which this entry row is created. The
            static (1) indicates that this row is created
            through configuration.  The dynamic (2) indicates
            that the row is created as the result of group
            address updates received at this MARS."

Expires May 1998                                               [Page 28]


INTERNET-DRAFT                  MARS MIB                   November 1997

       ::= { ipAtmMarsHostMapEntry 2 }

   ipAtmMarsHostMapRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the client entries to be created
            or deleted from this table."
       ::= { ipAtmMarsHostMapEntry 3 }

   --*****************************************************************
   --  IP ATM MARS Server Map Object Definitions
   --*****************************************************************

   ipAtmMarsServerMapTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsServerMapEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table caches mappings between IP multicast
            address to a list of MCS ATM addresses that are
            configured or dynamically learned from the MARS.
            This address resolution is used for the server map.
            It supports the mapping of a block of multicast
            group addresses to a MCS address.  In the case
            where a group block is associated with multiple
            MCSs, several entries are used to representing the
            relationship."
       ::= { ipAtmMarsObjects 4 }

   ipAtmMarsServerMapEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsServerMapEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry row contains attributes associated with
            the mapping between a multicast group block and an
            MCS address."
       INDEX { ipAtmMarsIndex,
               ipAtmMarsMcMinGrpAddr,
               ipAtmMarsMcMaxGrpAddr,
               ipAtmMarsServerMapAtmAddr }
       ::= { ipAtmMarsServerMapTable 1 }

   IpAtmMarsServerMapEntry ::=
       SEQUENCE {
           ipAtmMarsServerMapAtmAddr   AtmAddr,

Expires May 1998                                               [Page 29]


INTERNET-DRAFT                  MARS MIB                   November 1997

           ipAtmMarsServerMapRowType   INTEGER,
           ipAtmMarsServerMapRowStatus RowStatus
       }

   ipAtmMarsServerMapAtmAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The mapped MCS ATM address."
       ::= { ipAtmMarsServerMapEntry 1 }

   ipAtmMarsServerMapRowType OBJECT-TYPE
       SYNTAX  INTEGER {
             static (1),
             dynamic (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Method in which this entry row is created. The
            'static (1)' indicates that this row is created
            through configuration.  The 'dynamic (2)' indicates
            that the row is created as the result of group
            address updates received at this MARS."
       ::= { ipAtmMarsServerMapEntry 2 }

   ipAtmMarsServerMapRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the client entries to be created
            or deleted from this table."
       ::= { ipAtmMarsServerMapEntry 3 }

   --*****************************************************************
   --  IP ATM MARS VC Object Definition Table
   --*****************************************************************

   ipAtmMarsVcTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsVcEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION
           "This table contains information about open virtual circuits
            (VCs) that a MARS has.  For point to point circuit, each
            entry represents a single VC connection between this MARS

Expires May 1998                                               [Page 30]


INTERNET-DRAFT                  MARS MIB                   November 1997

            ATM address to another party's ATM address.  In the case of
            point to multipoint connection where a ControlVc is attached
            with multiple leaf nodes, several entries are used  to
            represent the relationship.  An example of point to
            multi-point VC represented in a table is shown below.

                 MARS     VPI/VCI    MARS Addr     Party Addr
                   1         0,1         m1            p1
                   1         0,1         m1            p2
                   1         0,1         m1            p3"
       ::= { ipAtmMarsObjects 5 }

   ipAtmMarsVcEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsVcEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The objects contained in the entry are VC related attributes
            such as VC signalling type, control VC type, idle timer,
            negotiated MTU size, etc."
       INDEX { ipAtmMarsIndex,
               ipAtmMarsVcVpi,
               ipAtmMarsVcVci,
               ipAtmMarsVcPartyAddr }
       ::= { ipAtmMarsVcTable 1 }

   IpAtmMarsVcEntry ::=
       SEQUENCE {
           ipAtmMarsVcVpi              INTEGER,
           ipAtmMarsVcVci              INTEGER,
           ipAtmMarsVcPartyAddr        AtmAddr,
           ipAtmMarsVcPartyAddrType    INTEGER,
           ipAtmMarsVcType             INTEGER,
           ipAtmMarsVcCtrlType         INTEGER,
           ipAtmMarsVcIdleTimer        Integer32,
           ipAtmMarsVcCmi              Integer32,
           ipAtmMarsVcEncapsType       INTEGER,
           ipAtmMarsVcNegotiatedMtu    Integer32,
           ipAtmMarsVcRowStatus        RowStatus
         }

   ipAtmMarsVcVpi OBJECT-TYPE
       SYNTAX  INTEGER (0..4095)
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The value of virtual path identifier (VPI)."
       ::= { ipAtmMarsVcEntry 1 }

Expires May 1998                                               [Page 31]


INTERNET-DRAFT                  MARS MIB                   November 1997

   ipAtmMarsVcVci OBJECT-TYPE
       SYNTAX  INTEGER (0..65535)
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The value of virtual circuit identifier (VCI)."
       ::= { ipAtmMarsVcEntry 2 }

   ipAtmMarsVcPartyAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "An ATM party address in which this VC is linked.  The
            party type is identified by the ipAtmMarsVcPartyAddrType."
       ::= { ipAtmMarsVcEntry 5 }

   ipAtmMarsVcPartyAddrType OBJECT-TYPE
       SYNTAX  INTEGER {
             called (1),
             calling (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The party type is associated with the party address.  The
            'called (1)' indicates that the party address is a
            destination address which implies that VC is originated
            from this MARS. The 'calling (2)' indicates the VC was
            initiated externally to this MARS.  The party address is
            the source address."
       ::= { ipAtmMarsVcEntry 6 }

   ipAtmMarsVcType OBJECT-TYPE
       SYNTAX  INTEGER {
             pvc (1),
             svc (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Circuit Connection type: permanent virtual circuit or
            switched virtual circuit."
       ::= { ipAtmMarsVcEntry 7 }

   ipAtmMarsVcCtrlType OBJECT-TYPE
       SYNTAX  INTEGER {
              pointToPointVC (1),

Expires May 1998                                               [Page 32]


INTERNET-DRAFT                  MARS MIB                   November 1997

              clusterControlVC (2),
              serverControlVC (3)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Control VC type used to specify a particular connection.
              pointToPointVC (1):
                used by the ATM endpoints (clients) or the MCS for
                registration and queries.  This VC is set up from
                a MARS client and MCS to this MARS.  It is a
                bi-directional VC.
              clusterControlVC (2):
                used by MARS to issue asynchronous updates to ATM
                an ATM client.  This VC is established from the
                MARs to the ATM client.
              serverControlVC (3):
                used by MARS to issue asynchronous update to ATM
                multicast servers.  This type of VC exists when at
                least a MCS is being used."
       ::= { ipAtmMarsVcEntry 8 }

   ipAtmMarsVcIdleTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The idle timer associated with this VC.  The minimum
            suggested value is 1 minute and the recommended default
            value is 20 minutes."
       DEFVAL { 20 }
       ::= { ipAtmMarsVcEntry 9 }

   ipAtmMarsVcCmi OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Cluster member identifier (CMI) which uniquely identifies
            each endpoint attached to the cluster.  This variable
            applies to each 'leaf node' of an outgoing control VC."
       ::= { ipAtmMarsVcEntry 10 }

   ipAtmMarsVcEncapsType OBJECT-TYPE
       SYNTAX  INTEGER {
             other (1),
             llcSnap (2)

Expires May 1998                                               [Page 33]


INTERNET-DRAFT                  MARS MIB                   November 1997

           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The encapsulation type used when communicating over
            this VC."
       ::= { ipAtmMarsVcEntry 11 }

   ipAtmMarsVcNegotiatedMtu OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The negotiated MTU when communicating over this VC."
       ::= { ipAtmMarsVcEntry 12 }

   ipAtmMarsVcRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the client entries to be created or
            deleted from this table."
       ::= { ipAtmMarsVcEntry 13 }

   --*****************************************************************
   --  IP ATM MARS Registered Cluster Member List Table
   --*****************************************************************

   ipAtmMarsRegClientTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsRegClientEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table contains ATM identities of all the currently
            registered cluster members at a MARS.  Each entry represents
            one set of ATM identities associated with one cluster member
            or the MARS client."
       ::= { ipAtmMarsObjects 6 }

   ipAtmMarsRegClientEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsRegClientEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry row contains attributes associated with one
            register cluster member."
       INDEX { ipAtmMarsIndex,

Expires May 1998                                               [Page 34]


INTERNET-DRAFT                  MARS MIB                   November 1997

               ipAtmMarsRegClientCmi}
       ::= { ipAtmMarsRegClientTable 1 }

   IpAtmMarsRegClientEntry ::=
       SEQUENCE {
           ipAtmMarsRegClientCmi       Integer32,
           ipAtmMarsRegClientAtmAddr   AtmAddr
       }

   ipAtmMarsRegClientCmi OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "This cluster member identifier is used as an auxiliary index
            for the entry in this table."
       ::= { ipAtmMarsRegClientEntry 1 }

   ipAtmMarsRegClientAtmAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "The registered client's ATM address."
       ::= { ipAtmMarsRegClientEntry 2 }

   --*****************************************************************
   --  IP ATM MARS Registered Server Member List Table
   --*****************************************************************

   ipAtmMarsRegMcsTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsRegMcsEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table contains ATM identities of all the currently
            registered MCSs at a MARS. Each entry represents one set
            of ATM identities associated with one MCS."
       ::= { ipAtmMarsObjects 7 }

   ipAtmMarsRegMcsEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsRegMcsEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry row contains attributes associated with one
            registered MCS."
       INDEX { ipAtmMarsIndex,

Expires May 1998                                               [Page 35]


INTERNET-DRAFT                  MARS MIB                   November 1997

               ipAtmMarsRegMcsCmi}
       ::= { ipAtmMarsRegMcsTable 1 }

   IpAtmMarsRegMcsEntry ::=
       SEQUENCE {
           ipAtmMarsRegMcsCmi      Integer32,
           ipAtmMarsRegMcsAtmAddr  AtmAddr
       }

   ipAtmMarsRegMcsCmi OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "This internal MCS identifier is used as an auxiliary index
            for the entry in this table."
       ::= { ipAtmMarsRegMcsEntry 1 }

   ipAtmMarsRegMcsAtmAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "The registered MCS's ATM address."
       ::= { ipAtmMarsRegMcsEntry 2 }

   --*****************************************************************
   --  IP ATM MARS Statistics Object Definition Table
   --*****************************************************************

   ipAtmMarsStatTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsStatEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "The table contains statistics collected at MARS."
       ::= {  ipAtmMarsObjects 8 }

   ipAtmMarsStatEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsStatEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry contains statistics collected at one MARS."
       INDEX { ipAtmMarsIndex }
       ::= { ipAtmMarsStatTable 1 }

   IpAtmMarsStatEntry ::=

Expires May 1998                                               [Page 36]


INTERNET-DRAFT                  MARS MIB                   November 1997

       SEQUENCE {
           ipAtmMarsStatTxMulti        Counter32,
           ipAtmMarsStatTxGrpLstRply   Counter32,
           ipAtmMarsStatTxRedirectMap  Counter32,
           ipAtmMarsStatTxMigrate      Counter32,
           ipAtmMarsStatTxNak          Counter32,
           ipAtmMarsStatTxJoin         Counter32,
           ipAtmMarsStatTxLeave        Counter32,
           ipAtmMarsStatTxSjoin        Counter32,
           ipAtmMarsStatTxSleave       Counter32,
           ipAtmMarsStatRxReq          Counter32,
           ipAtmMarsStatRxGrpLstReq    Counter32,
           ipAtmMarsStatRxJoin         Counter32,
           ipAtmMarsStatRxLeave        Counter32,
           ipAtmMarsStatRxMserv        Counter32,
           ipAtmMarsStatRxUnserv       Counter32,
           ipAtmMarsStatRxBlkJoins     Counter32,
           ipAtmMarsStatRegMemGroup    Counter32,
           ipAtmMarsStatRegMcsGroup    Counter32
       }

   ipAtmMarsStatTxMulti OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MULTI transmitted by this MARS."
       ::= { ipAtmMarsStatEntry 1 }

   ipAtmMarsStatTxGrpLstRply OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_GROUPLIST_REPLY messages transmitted
            by this MARS."
       ::= { ipAtmMarsStatEntry 2 }

   ipAtmMarsStatTxRedirectMap OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_REDIRECT_MAP messages transmitted by
            this MARS."
       ::= { ipAtmMarsStatEntry 3 }

   ipAtmMarsStatTxMigrate OBJECT-TYPE

Expires May 1998                                               [Page 37]


INTERNET-DRAFT                  MARS MIB                   November 1997

       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MIGRATE messages transmitted by
            this MARS."
       ::= { ipAtmMarsStatEntry 4 }

   ipAtmMarsStatTxNak OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_NAK messages transmitted by this MARS."
       ::= { ipAtmMarsStatEntry 5 }

   ipAtmMarsStatTxJoin OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_JOIN messages transmitted by this
            MARS."
       ::= { ipAtmMarsStatEntry 6 }

   ipAtmMarsStatTxLeave OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_LEAVE messages transmitted by this
            MARS."
       ::= { ipAtmMarsStatEntry 7 }

   ipAtmMarsStatTxSjoin OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_SJOIN messages transmitted by this
            MARS."
       ::= { ipAtmMarsStatEntry 8 }

   ipAtmMarsStatTxSleave OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION

Expires May 1998                                               [Page 38]


INTERNET-DRAFT                  MARS MIB                   November 1997

           "Total number of MARS_SLEAVE messages transmitted by this
            MARS."
       ::= { ipAtmMarsStatEntry 9 }

   ipAtmMarsStatRxReq OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_REQUEST messages received by this
            MARS."
       ::= { ipAtmMarsStatEntry 10 }

   ipAtmMarsStatRxGrpLstReq OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_GROUPLIST_REQUEST messages received by
            this MARS."
       ::= { ipAtmMarsStatEntry 11 }

   ipAtmMarsStatRxJoin OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_JOINS messages received by this MARS."
       ::= { ipAtmMarsStatEntry 12 }

   ipAtmMarsStatRxLeave OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_LEAVES messages received by this MARS."
       ::= { ipAtmMarsStatEntry 13 }

   ipAtmMarsStatRxMserv OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MSERV messages received by this MARS."
       ::= { ipAtmMarsStatEntry 14 }

   ipAtmMarsStatRxUnserv OBJECT-TYPE
       SYNTAX  Counter32

Expires May 1998                                               [Page 39]


INTERNET-DRAFT                  MARS MIB                   November 1997

       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_UNSERV messages received by this MARS."
       ::= { ipAtmMarsStatEntry 15 }

   ipAtmMarsStatRxBlkJoins OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of block joins messages received by this MARS."
       ::= { ipAtmMarsStatEntry 16 }

   ipAtmMarsStatRegMemGroup OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of IP multicast groups with 1 or more joined
            cluster members."
       ::= { ipAtmMarsStatEntry 17 }

   ipAtmMarsStatRegMcsGroup OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of IP multicast groups with 1 or more joined
            MCSs."
       ::= { ipAtmMarsStatEntry 18 }

   --*****************************************************************
   --  IP ATM MARS MCS Object Definitions
   --*****************************************************************

   ipAtmMarsMcsObjects OBJECT IDENTIFIER ::= { ipAtmMarsMib 3 }

   ipAtmMarsMcsTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsMcsEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION
           "The objects defined in this table are used for
            the management of a multicast server (MCS)."
       ::= {  ipAtmMarsMcsObjects 1 }

   ipAtmMarsMcsEntry OBJECT-TYPE

Expires May 1998                                               [Page 40]


INTERNET-DRAFT                  MARS MIB                   November 1997

       SYNTAX  IpAtmMarsMcsEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry contains a MCS and its associated
            attributes."
       INDEX { ipAtmMarsMcsIndex, ipAtmMarsMcsIfIndex }
       ::= { ipAtmMarsMcsTable 1 }

   IpAtmMarsMcsEntry ::=
       SEQUENCE {
           ipAtmMarsMcsIndex                    Integer32,
           ipAtmMarsMcsIfIndex                  InterfaceIndex,
           ipAtmMarsMcsAddr                     AtmAddr,
           ipAtmMarsMcsDefMarsAddr              AtmAddr,
           ipAtmMarsMcsRegistration             INTEGER,
           ipAtmMarsMcsCmi                      INTEGER,
           ipAtmMarsMcsSsn                      UInteger32,
           ipAtmMarsMcsDefaultMtu               Integer32,
           ipAtmMarsMcsFailureTimer             Integer32,
           ipAtmMarsMcsRetranDlyTimer           INTEGER,
           ipAtmMarsMcsRdmMulReqAddRetrTimer    INTEGER,
           ipAtmMarsMcsRdmVcRevalidateTimer     INTEGER,
           ipAtmMarsMcsRegisterRetrInterval     Integer32,
           ipAtmMarsMcsRegisterRetrLimit        INTEGER,
           ipAtmMarsMcsRegWithMarsRdmTimer      INTEGER,
           ipAtmMarsMcsForceWaitTimer           Integer32,
           ipAtmMarsMcsIdleTimer                Integer32,
           ipAtmMarsMcsLmtToMissRedirMapTimer   INTEGER,
           ipAtmMarsMcsRowStatus                RowStatus
       }

   ipAtmMarsMcsIndex OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The auxiliary variable used to identify instances
            of the columnar objects in the MCS table."
       ::= { ipAtmMarsMcsEntry 1 }

   ipAtmMarsMcsIfIndex OBJECT-TYPE
       SYNTAX  InterfaceIndex
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The ifIndex of the interface that the MCS is
            associated with."

Expires May 1998                                               [Page 41]


INTERNET-DRAFT                  MARS MIB                   November 1997

       ::= { ipAtmMarsMcsEntry 2 }

   ipAtmMarsMcsAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The ATM address associated with the MCS."
       ::= { ipAtmMarsMcsEntry 3 }

   ipAtmMarsMcsDefMarsAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The MARS ATM address which is needed to setup the
            initial signalling path between a MCS and its
            associated MARS."
       ::= { ipAtmMarsMcsEntry 4 }

   ipAtmMarsMcsRegistration OBJECT-TYPE
       SYNTAX  INTEGER {
             notRegistered (1),
             registering (2),
             registered (3),
             reRegisteringFault (4),
             reRegisteringRedirMap (5)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "An indication with regards to the registration
            STATUS of this MCS. The registration codes of
            'notRegistered (1)', 'registered (2)', and
            registered (3) are self-explanatory. The
            'reRegisteringFault (4)' indicates the MCS is
            in the process of re-registering with a MARS due
            to some fault conditions.  The 'reRegisteringRedMap
            (5)' status code shows that MCS is re-registering
            because it has received a MARS_REDIRECT_MAP message
            and was told to register with a shift MARS."
       ::= { ipAtmMarsMcsEntry 5 }

   ipAtmMarsMcsCmi OBJECT-TYPE
       SYNTAX  INTEGER (0..65535)
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION

Expires May 1998                                               [Page 42]


INTERNET-DRAFT                  MARS MIB                   November 1997

           "A 16 bit Cluster Member Identifier assigned by the
            MARs.  The value becomes valid after the
            ipAtmMarsMcsRegistration is set to registered."
       ::= { ipAtmMarsMcsEntry 6 }

   ipAtmMarsMcsSsn OBJECT-TYPE
       SYNTAX  UInteger32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The MCS own 32 bit Server Sequence Number.  It
            is used to track the Mars sequence number."
       ::= { ipAtmMarsMcsEntry 7 }

   ipAtmMarsMcsDefaultMtu OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The default maximum transmission unit (MTU) used
            for this cluster.  Note that the actual size used
            for a VC between two members of the cluster may be
            negotiated during connection setup and may be
            different than this value.
            Default value = 9180 bytes."
       DEFVAL { 9180 }
       ::= { ipAtmMarsMcsEntry 8 }

   ipAtmMarsMcsFailureTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "A timer used to flag the failure of last MARS_MULTI
            to arrive.  Default value = 10 seconds (recommended)."
       DEFVAL { 10 }
       ::= { ipAtmMarsMcsEntry 9 }

   ipAtmMarsMcsRetranDlyTimer OBJECT-TYPE
       SYNTAX  INTEGER (5..10)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The delay timer for sending out new MARS_REQUEST
            for the group after the MCS learned that there
            is no other group in the cluster.  The timer must

Expires May 1998                                               [Page 43]


INTERNET-DRAFT                  MARS MIB                   November 1997

            be set between 5 and 10 seconds inclusive."
       ::= { ipAtmMarsMcsEntry 10 }

   ipAtmMarsMcsRdmMulReqAddRetrTimer OBJECT-TYPE
       SYNTAX  INTEGER (5..10)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The initial random L_MULTI_RQ/ADD retransmit timer
            which can be set between 5 and 10 seconds inclusive."
       ::= { ipAtmMarsMcsEntry 11 }

   ipAtmMarsMcsRdmVcRevalidateTimer OBJECT-TYPE
       SYNTAX  INTEGER (1..10)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The random time to set VC_revalidate flag.  The
            timer value ranges between 1 and 10 seconds
               inclusive."
       ::= { ipAtmMarsMcsEntry 12 }

   ipAtmMarsMcsRegisterRetrInterval OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "MARS_MSERV/UNSERV retransmit interval. The minimum
            and recommended values are 5 and 10 seconds,
            respectively."
       DEFVAL { 10 }
       ::= { ipAtmMarsMcsEntry 13 }

   ipAtmMarsMcsRegisterRetrLimit OBJECT-TYPE
       SYNTAX  INTEGER (0..5)
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "MARS_MSERV/UNSERV retransmit limit. The maximum value
            is 5."
       ::= { ipAtmMarsMcsEntry 14 }

   ipAtmMarsMcsRegWithMarsRdmTimer OBJECT-TYPE
       SYNTAX  INTEGER (1..10)
       UNITS   "seconds"

Expires May 1998                                               [Page 44]


INTERNET-DRAFT                  MARS MIB                   November 1997

       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Random time for a MCS to register with a MARS."
       ::= { ipAtmMarsMcsEntry 15 }

   ipAtmMarsMcsForceWaitTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Force wait if MARS re-registration is looping.
            The minimum value is 1 minute."
       ::= { ipAtmMarsMcsEntry 16 }

   ipAtmMarsMcsLmtToMissRedirMapTimer OBJECT-TYPE
       SYNTAX  INTEGER (0..4)
       UNITS   "seconds"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Timer limit for MCS to miss MARS_REDIRECT_MAPS."
       ::= { ipAtmMarsMcsEntry 17 }

   ipAtmMarsMcsIdleTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The configurable inactivity timer associated with a
            MCS. When a VC is created at this MCS, it gets
            the idle timer value from this configurable timer.
            The minimum suggested value is 1 minute and the
            recommended default value is 20 minutes."
       DEFVAL { 20 }
       ::= { ipAtmMarsMcsEntry 18 }

   ipAtmMarsMcsRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the client entries to be created
            or deleted from this table."
       ::= { ipAtmMarsMcsEntry 19 }

Expires May 1998                                               [Page 45]


INTERNET-DRAFT                  MARS MIB                   November 1997

   --******************************************************************
   --  IP ATM MARS MCS Multicast Group Address Object Definitions
   --******************************************************************

   ipAtmMarsMcsMcGrpTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsMcsMcGrpEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table contains a list of IP multicast group address
            blocks associated by a MARS MCS.  The MCS uses the
            information contained in list to advertise its multicast
            group service to the MARS.
            Each row can be created or deleted via configuration."
       ::= { ipAtmMarsMcsObjects 2 }

   ipAtmMarsMcsMcGrpEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsMcsMcGrpEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry represents a consecutive block of multicast
            group address."
       INDEX { ipAtmMarsMcsIndex,
               ipAtmMarsMcsMcMinGrpAddr,
               ipAtmMarsMcsMcMaxGrpAddr }
       ::= { ipAtmMarsMcsMcGrpTable 1 }

   IpAtmMarsMcsMcGrpEntry ::=
       SEQUENCE {
           ipAtmMarsMcsMcMinGrpAddr           IpAddress,
           ipAtmMarsMcsMcMaxGrpAddr           IpAddress,
           ipAtmMarsMcsMcGrpRowStatus         RowStatus
       }

   ipAtmMarsMcsMcMinGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Minimum multicast group address - the min and max
            multicast forms multi-group block.  The MinGrpAddr
            and MaxGrpAddr are the same indicating that this
            block contains a single group address.   Since the
            block joins are no allowed by a MCS as implied in
            the RFC2022, the MinGrpAddr and MaxGrpAddress should
            be set to the same value at this time when an entry
            row is created."

Expires May 1998                                               [Page 46]


INTERNET-DRAFT                  MARS MIB                   November 1997

       ::= { ipAtmMarsMcsMcGrpEntry 1 }

   ipAtmMarsMcsMcMaxGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Maximum multicast group address - the min and max
            multicast forms a multi-group block.  The MinGrpAddr
            and MaxGrpAddr are the same indicating that this
            block contains a single group address.  Since the
            block joins are no allowed by a MCS as implied in
            the RFC2022, the MinGrpAddr and MaxGrpAddress should
            be set to the same value at this time when an entry
            row is created."
       ::= { ipAtmMarsMcsMcGrpEntry 2 }

   ipAtmMarsMcsMcGrpRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the multicast address entries to
            be created or deleted from this table."
       ::= { ipAtmMarsMcsMcGrpEntry 3 }

   --******************************************************************
   --  IP ATM MARS MCS Backup MARS Object Definitions
   --******************************************************************

   ipAtmMarsMcsBackupMarsTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsMcsBackupMarsEntry
       MAX-ACCESS not-accessible
       STATUS current
       DESCRIPTION
           "This table contains a list of backup MARS addresses that
            a MCS can make contact to in case of failure for
            connecting to the primary server. The list of addresses
            is in descending order of preference. It should be noted
            that the backup list provided by the MARS to the MCS
            via the MARS_REDIRECT_MAP message has a higher preference
            than addresses that are manually configured into the MCS.
            When such a list is received from the MARS, this information
            should be inserted at the top of the list.
            Each row can be created or deleted via configuration."
       ::= {  ipAtmMarsMcsObjects 3 }

   ipAtmMarsMcsBackupMarsEntry OBJECT-TYPE

Expires May 1998                                               [Page 47]


INTERNET-DRAFT                  MARS MIB                   November 1997

       SYNTAX  IpAtmMarsMcsBackupMarsEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry represents an ATM address of a backup MARS."
       INDEX { ipAtmMarsMcsIndex, ipAtmMarsMcsBackupMarsAddr }
       ::= { ipAtmMarsMcsBackupMarsTable 1 }

   IpAtmMarsMcsBackupMarsEntry ::=
       SEQUENCE {
           ipAtmMarsMcsBackupMarsAddr         AtmAddr,
           ipAtmMarsMcsBackupMarsRowStatus    RowStatus
       }

   ipAtmMarsMcsBackupMarsAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The ATM address associated with a backup MARS."
       ::= { ipAtmMarsMcsBackupMarsEntry 1 }

   ipAtmMarsMcsBackupMarsRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The object allows the backup MARS entries to
            be created or deleted from this table."
       ::= { ipAtmMarsMcsBackupMarsEntry 2 }

   --*****************************************************************
   --  IP ATM MARS MCS VC Object Definition Table
   --*****************************************************************

   ipAtmMarsMcsVcTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsMcsVcEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION
           "This table contains information about open virtual
            circuits (VCs) that a MCS has.  For point to
            point circuit, each entry represents a single VC
            connection between this MCS ATM address to another
            party ATM address.  In the case of point to
            multipoint connection where a single source address
            is associated with multiple destinations, several
            entries are used to represent the relationship.  An

Expires May 1998                                               [Page 48]


INTERNET-DRAFT                  MARS MIB                   November 1997

            example of point to multi-point VC represented in a
            table is shown below.

               MCS      VPI/VCI    Grp Addr1/Addr2    Part Addr
                1         0,1          g1,g2             p1
                1         0,1          g1,g2             p2
                1         0,1          g1,g2             p3"
       ::= {  ipAtmMarsMcsObjects 4 }

   ipAtmMarsMcsVcEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsMcsVcEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The objects contained in the entry are VC related
            attributes such as VC signalling type, control VC
            type, idle timer, negotiated MTU size, etc."
       INDEX { ipAtmMarsMcsIndex,
               ipAtmMarsMcsVcVpi,
               ipAtmMarsMcsVcVci,
               ipAtmMarsMcsVcMinGrpAddr,
               ipAtmMarsMcsVcMaxGrpAddr,
               ipAtmMarsMcsVcPartyAddr }
       ::= { ipAtmMarsMcsVcTable 1 }

   IpAtmMarsMcsVcEntry ::=
       SEQUENCE {
           ipAtmMarsMcsVcVpi           INTEGER,
           ipAtmMarsMcsVcVci           INTEGER,
           ipAtmMarsMcsVcMinGrpAddr    IpAddress,
           ipAtmMarsMcsVcMaxGrpAddr    IpAddress,
           ipAtmMarsMcsVcPartyAddr     AtmAddr,
           ipAtmMarsMcsVcPartyAddrType INTEGER,
           ipAtmMarsMcsVcType          INTEGER,
           ipAtmMarsMcsVcCtrlType      INTEGER,
           ipAtmMarsMcsVcIdleTimer     Integer32,
           ipAtmMarsMcsVcRevalidate    TruthValue,
           ipAtmMarsMcsVcEncapsType    INTEGER,
           ipAtmMarsMcsVcNegotiatedMtu Integer32,
           ipAtmMarsMcsVcRowStatus     RowStatus
       }

   ipAtmMarsMcsVcVpi OBJECT-TYPE
       SYNTAX  INTEGER (0..4095)
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The value of virtual path identifier (VPI)."

Expires May 1998                                               [Page 49]


INTERNET-DRAFT                  MARS MIB                   November 1997

       ::= { ipAtmMarsMcsVcEntry 1 }

   ipAtmMarsMcsVcVci OBJECT-TYPE
       SYNTAX  INTEGER (0..65535)
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "The value of virtual circuit identifier (VCI)."
       ::= { ipAtmMarsMcsVcEntry 2 }

   ipAtmMarsMcsVcMinGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Minimum IP multicast group address - the min and
            max multicast forms a multi-group block which is
            associated with a VC.  The MinGrpAddr and MaxGrpAddr
            are the same indicating that the size of multi-group
            block is 1, a single IP group."
       ::= { ipAtmMarsMcsVcEntry 3 }

   ipAtmMarsMcsVcMaxGrpAddr OBJECT-TYPE
       SYNTAX  IpAddress
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Maximum IP multicast group address - the min
            and max multicast forms a multi-group block
            which is associated with a VC. The MinGrpAddr
            and MaxGrpAddr are the same indicating that the
            size of multi-group block is 1, a single IP group."
       ::= { ipAtmMarsMcsVcEntry 4 }

   ipAtmMarsMcsVcPartyAddr OBJECT-TYPE
       SYNTAX  AtmAddr
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "An ATM party address in which this VC is linked.
            The party type is identified by the
            ipAtmMarsMcsVcPartyAddrType."
       ::= { ipAtmMarsMcsVcEntry 5 }

   ipAtmMarsMcsVcPartyAddrType OBJECT-TYPE
       SYNTAX  INTEGER {
             called (1),
             calling (2)

Expires May 1998                                               [Page 50]


INTERNET-DRAFT                  MARS MIB                   November 1997

           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The party type is associated with the party address.
            The called (1) indicates that the party address is
            a destination address which implies that VC is
            originated from this MCS.  The calling (2) indicates
            the VC was initiated externally to this MCS.  In this
            case, the party address is the source address."
       ::= { ipAtmMarsMcsVcEntry 6 }

   ipAtmMarsMcsVcType OBJECT-TYPE
       SYNTAX  INTEGER {
             pvc (1),
             svc (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Circuit Connection type: permanent virtual circuit or
            switched virtual circuit."
       ::= { ipAtmMarsMcsVcEntry 7 }

   ipAtmMarsMcsVcCtrlType OBJECT-TYPE
       SYNTAX  INTEGER {
              pointToPointVC (1),
              serverControlVC (2),
              pointToMultiPointVC (3)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "Control VC type used to specify a particular connection.
              pointToPointVC (1):
                used by the ATM Clients for the registration and
                queries.  This VC or the initial signalling path is
                set up from the source MCS to a MARS. It is
                bi-directional.
              serverControlVC (2):
                used by a MARS to issue asynchronous updates to an
                ATM Client.  This VC is established from the MARS
                to the MCS.
              pointToMultiPointVC (3):
                used by the client to transfer multicast data
                packets from layer 3.  This VC is established from
                this VC to a cluster member."
       ::= { ipAtmMarsMcsVcEntry 8 }

Expires May 1998                                               [Page 51]


INTERNET-DRAFT                  MARS MIB                   November 1997

   ipAtmMarsMcsVcIdleTimer OBJECT-TYPE
       SYNTAX  Integer32
       UNITS   "minutes"
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The idle timer associated with this VC. The minimum
            suggested value is 1 minute and the recommended
            default value is 20 minutes."
       DEFVAL { 20 }
       ::= { ipAtmMarsMcsVcEntry 9 }

   ipAtmMarsMcsVcRevalidate OBJECT-TYPE
       SYNTAX  TruthValue
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "A flag associated with an open and active multipoint
            VC. It is checked every time a packet is queued for
            transmission on that VC. The object has the value of
            true (1) if revalidate is required and the value
            false (2) otherwise."
       ::= { ipAtmMarsMcsVcEntry 10 }

    ipAtmMarsMcsVcEncapsType OBJECT-TYPE
       SYNTAX  INTEGER {
             other (1),
             llcSnap (2)
           }
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The encapsulation type used when communicating over
            this VC."
       ::= { ipAtmMarsMcsVcEntry 11 }

   ipAtmMarsMcsVcNegotiatedMtu OBJECT-TYPE
       SYNTAX  Integer32
       MAX-ACCESS read-create
       STATUS  current
       DESCRIPTION
           "The negotiated MTU when communicating over this VC."
       ::= { ipAtmMarsMcsVcEntry 12 }

   ipAtmMarsMcsVcRowStatus OBJECT-TYPE
       SYNTAX  RowStatus
       MAX-ACCESS read-create
       STATUS  current

Expires May 1998                                               [Page 52]


INTERNET-DRAFT                  MARS MIB                   November 1997

       DESCRIPTION
           "The object allows the MCS entries to be created or
            deleted from this table."
       ::= { ipAtmMarsMcsVcEntry 13 }

   --*****************************************************************
   --  IP ATM MARS MCS Statistics Definition Table
   --*****************************************************************

   ipAtmMarsMcsStatTable OBJECT-TYPE
       SYNTAX  SEQUENCE OF IpAtmMarsMcsStatEntry
       MAX-ACCESS  not-accessible
       STATUS current
       DESCRIPTION
           "The table contains statistics collected at MARS MCSs."
       ::= {  ipAtmMarsMcsObjects 5 }

   ipAtmMarsMcsStatEntry OBJECT-TYPE
       SYNTAX  IpAtmMarsMcsStatEntry
       MAX-ACCESS not-accessible
       STATUS  current
       DESCRIPTION
           "Each entry contains statistics collected at one
            MARS MCS."
       INDEX { ipAtmMarsMcsIndex }
       ::= { ipAtmMarsMcsStatTable 1 }

   IpAtmMarsMcsStatEntry ::=
       SEQUENCE {
           ipAtmMarsMcsStatTxReq       Counter32,
           ipAtmMarsMcsStatTxMserv     Counter32,
           ipAtmMarsMcsStatTxUnserv    Counter32,
           ipAtmMarsMcsStatRxMulti     Counter32,
           ipAtmMarsMcsStatRxSjoin     Counter32,
           ipAtmMarsMcsStatRxSleave    Counter32,
           ipAtmMarsMcsStatRxNak       Counter32,
           ipAtmMarsMcsStatRxMigrate   Counter32,
           ipAtmMarsMcsStatFailMulti   Counter32
       }

   ipAtmMarsMcsStatTxReq OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_REQUEST messages transmitted
            from this MCS."
       ::= { ipAtmMarsMcsStatEntry 1 }

Expires May 1998                                               [Page 53]


INTERNET-DRAFT                  MARS MIB                   November 1997

   ipAtmMarsMcsStatTxMserv OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MSERV messages transmitted from
            this MCS."
       ::= { ipAtmMarsMcsStatEntry 2 }

   ipAtmMarsMcsStatTxUnserv OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_UNSERV messages transmitted from
            this MCS."
       ::= { ipAtmMarsMcsStatEntry 3 }

   ipAtmMarsMcsStatRxMulti OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MULTI messages received by
            this MCS."
       ::= { ipAtmMarsMcsStatEntry 4 }

   ipAtmMarsMcsStatRxSjoin OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_SJOIN messages received by
            this MCS."
       ::= { ipAtmMarsMcsStatEntry 5 }

   ipAtmMarsMcsStatRxSleave OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_SLEAVE messages received
            by this MCS."
       ::= { ipAtmMarsMcsStatEntry 6 }

   ipAtmMarsMcsStatRxNak OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only

Expires May 1998                                               [Page 54]


INTERNET-DRAFT                  MARS MIB                   November 1997

       STATUS  current
       DESCRIPTION
           "Total number of MARS_NAK messages received
            by this MCS."
       ::= { ipAtmMarsMcsStatEntry 7 }

   ipAtmMarsMcsStatRxMigrate OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of MARS_MIGRATE messages received
            by this MCS."
       ::= { ipAtmMarsMcsStatEntry 8 }

   ipAtmMarsMcsStatFailMulti OBJECT-TYPE
       SYNTAX  Counter32
       MAX-ACCESS read-only
       STATUS  current
       DESCRIPTION
           "Total number of timeouts occurred indicating
            failure of the last MARS_MULTI to arrive."
       ::= { ipAtmMarsMcsStatEntry 9 }

   --*****************************************************************
   --  IP ATM MARS Notification Definitions
   --*****************************************************************

   ipAtmMarsTrapInfo OBJECT IDENTIFIER ::= { ipAtmMarsMib 4 }

   ipAtmMarsFaultTrap NOTIFICATION-TYPE
       OBJECTS {
           ipAtmMarsAddr,
           ipAtmMarsServStatus
          }
       STATUS  current
       DESCRIPTION
           "This trap/inform is sent to the manager whenever there
            is a fault condition occurred on a MARS."
       ::= { ipAtmMarsTrapInfo 1 }

   --*****************************************************************
   --  IP ATM MARS Conformance Definitions
   --*****************************************************************

   ipAtmMarsConformance OBJECT IDENTIFIER ::= { ipAtmMarsMib 5 }
   ipAtmMarsCompliances OBJECT IDENTIFIER ::= { ipAtmMarsConformance 1 }
   ipAtmMarsGroups      OBJECT IDENTIFIER ::= { ipAtmMarsConformance 2 }

Expires May 1998                                               [Page 55]


INTERNET-DRAFT                  MARS MIB                   November 1997

   --*****************************************************************
   --  MARS Compliance Statements
   --*****************************************************************

   ipAtmMarsCompliance MODULE-COMPLIANCE
       STATUS  current
       DESCRIPTION
           "The compliance statement for entities that are required
            for the management of MARS."
       MODULE
           MANDATORY-GROUPS {
            ipAtmMarsClientGroup,
            ipAtmMarsGroup,
            ipAtmMarsMcsGroup
           }
       ::= { ipAtmMarsCompliances 1 }

   ipAtmMarsClientGroup OBJECT-GROUP
       OBJECTS {
           ipAtmMarsClientAddr,
           ipAtmMarsClientDefMarsAddr,
           ipAtmMarsClientHsn,
           ipAtmMarsClientRegistration,
           ipAtmMarsClientCmi,
           ipAtmMarsClientDefaultMtu,
           ipAtmMarsClientFailureTimer,
           ipAtmMarsClientRetranDlyTimer,
           ipAtmMarsClientRdmMulReqAddRetrTimer,
           ipAtmMarsClientRdmVcRevalidateTimer,
           ipAtmMarsClientJoinLeaveRetrInterval,
           ipAtmMarsClientJoinLeaveRetrLimit,
           ipAtmMarsClientRegWithMarsRdmTimer,
           ipAtmMarsClientForceWaitTimer,
           ipAtmMarsClientIdleTimer,
           ipAtmMarsClientLmtToMissRedirMapTimer,
           ipAtmMarsClientRowStatus,
           ipAtmMarsClientMcGrpRowStatus,
           ipAtmMarsClientBackupMarsRowStatus,
           ipAtmMarsClientVcPartyAddrType,
           ipAtmMarsClientVcType,
           ipAtmMarsClientVcCtrlType,
           ipAtmMarsClientVcIdleTimer,
           ipAtmMarsClientVcRevalidate,
           ipAtmMarsClientVcEncapsType,
           ipAtmMarsClientVcNegotiatedMtu,
           ipAtmMarsClientVcRowStatus,
           ipAtmMarsClientStatTxReq,
           ipAtmMarsClientStatTxJoin,

Expires May 1998                                               [Page 56]


INTERNET-DRAFT                  MARS MIB                   November 1997

           ipAtmMarsClientStatTxLeave,
           ipAtmMarsClientStatTxGrpLstReq,
           ipAtmMarsClientStatRxJoin,
           ipAtmMarsClientStatRxLeave,
           ipAtmMarsClientStatRxMulti,
           ipAtmMarsClientStatRxNak,
           ipAtmMarsClientStatRxGrpLstRply,
           ipAtmMarsClientStatRxMigrate,
           ipAtmMarsClientStatFailMulti
          }
       STATUS  current
       DESCRIPTION
           "A collection of objects general attributes for the
            management of MARS servers."
       ::= { ipAtmMarsGroups 1 }

   ipAtmMarsGroup OBJECT-GROUP
         OBJECTS {
           ipAtmMarsAddr,
           ipAtmMarsLocal,
           ipAtmMarsServStatus,
           ipAtmMarsServType,
           ipAtmMarsServPriority,
           ipAtmMarsRedirMapMsgTimer,
           ipAtmMarsCsn,
           ipAtmMarsSsn,
           ipAtmMarsRowStatus,
           ipAtmMarsMcGrpAddrUsage,
           ipAtmMarsMcGrpRxLayer3GrpSet,
           ipAtmMarsMcGrpRxLayer3GrpReset,
           ipAtmMarsMcGrpRowStatus,
           ipAtmMarsHostMapRowType,
           ipAtmMarsHostMapRowStatus,
           ipAtmMarsServerMapRowType,
           ipAtmMarsServerMapRowStatus,
           ipAtmMarsVcPartyAddrType,
           ipAtmMarsVcType,
           ipAtmMarsVcCtrlType,
           ipAtmMarsVcIdleTimer,
           ipAtmMarsVcCmi,
           ipAtmMarsVcEncapsType,
           ipAtmMarsVcNegotiatedMtu,
           ipAtmMarsVcRowStatus,
           ipAtmMarsRegClientAtmAddr,
           ipAtmMarsRegMcsAtmAddr,
           ipAtmMarsStatTxMulti,
           ipAtmMarsStatTxGrpLstRply,
           ipAtmMarsStatTxRedirectMap,

Expires May 1998                                               [Page 57]


INTERNET-DRAFT                  MARS MIB                   November 1997

           ipAtmMarsStatTxMigrate,
           ipAtmMarsStatTxNak,
           ipAtmMarsStatTxJoin,
           ipAtmMarsStatTxLeave,
           ipAtmMarsStatTxSjoin,
           ipAtmMarsStatTxSleave,
           ipAtmMarsStatRxReq,
           ipAtmMarsStatRxGrpLstReq,
           ipAtmMarsStatRxJoin,
           ipAtmMarsStatRxLeave,
           ipAtmMarsStatRxMserv,
           ipAtmMarsStatRxUnserv,
           ipAtmMarsStatRxBlkJoins,
           ipAtmMarsStatRegMemGroup,
           ipAtmMarsStatRegMcsGroup
          }
       STATUS  current
       DESCRIPTION
           "A collection of objects general attributes for the
            management of MARS."
       ::= { ipAtmMarsGroups 2 }

   ipAtmMarsMcsGroup OBJECT-GROUP
       OBJECTS {
           ipAtmMarsMcsAddr,
           ipAtmMarsMcsDefMarsAddr,
           ipAtmMarsMcsRegistration,
           ipAtmMarsMcsCmi,
           ipAtmMarsMcsSsn ,
           ipAtmMarsMcsDefaultMtu,
           ipAtmMarsMcsFailureTimer,
           ipAtmMarsMcsRetranDlyTimer,
           ipAtmMarsMcsRdmMulReqAddRetrTimer,
           ipAtmMarsMcsRdmVcRevalidateTimer,
           ipAtmMarsMcsRegisterRetrInterval,
           ipAtmMarsMcsRegisterRetrLimit,
           ipAtmMarsMcsRegWithMarsRdmTimer,
           ipAtmMarsMcsForceWaitTimer,
           ipAtmMarsMcsIdleTimer,
           ipAtmMarsMcsLmtToMissRedirMapTimer,
           ipAtmMarsMcsRowStatus,
           ipAtmMarsMcsMcGrpRowStatus,
           ipAtmMarsMcsVcPartyAddrType,
           ipAtmMarsMcsBackupMarsRowStatus,
           ipAtmMarsMcsVcType,
           ipAtmMarsMcsVcCtrlType,
           ipAtmMarsMcsVcIdleTimer,
           ipAtmMarsMcsVcRevalidate,

Expires May 1998                                               [Page 58]


INTERNET-DRAFT                  MARS MIB                   November 1997

           ipAtmMarsMcsVcEncapsType,
           ipAtmMarsMcsVcNegotiatedMtu,
           ipAtmMarsMcsVcRowStatus,
           ipAtmMarsMcsStatTxReq,
           ipAtmMarsMcsStatTxMserv,
           ipAtmMarsMcsStatTxUnserv,
           ipAtmMarsMcsStatRxMulti,
           ipAtmMarsMcsStatRxSjoin,
           ipAtmMarsMcsStatRxSleave,
           ipAtmMarsMcsStatRxNak,
           ipAtmMarsMcsStatRxMigrate,
           ipAtmMarsMcsStatFailMulti
          }
       STATUS  current
       DESCRIPTION
           "A collection of objects general attributes for the
            management of MARS multicast servers."
       ::= { ipAtmMarsGroups 3 }

      END

Expires May 1998                                               [Page 59]


INTERNET-DRAFT                  MARS MIB                   November 1997

4.  Acknowledgments

   This document is a product of the IETF's Internetworking Over NBMA
   Networks (ion) Working Group.

   The author would like to recognize Grenville Armitage (Bellcore),
   Ken Carlberg (SAIC), Ramesh Uppuluri (Fore Systems), and Radha Gowda
   (SYNNET), and Bill Willcox (Fujitsu Nexion) for their support and
   comments in completing the MARS MIB.

5.  References

[1]  Grenville Armitage, "Support for Multicast over UNI 3.0/3.1 based
     ATM Networks.", RFC 2022, Bellcore, November 1996.

[2]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and
     S. Waldbusser, "Structure of Management Information for Version 2
     of the Simple Network Management Protocol (SNMPv2)", RFC1902, SNMP
     Research,Inc., Cisco Systems, Inc., Dover Beach Consulting, Inc.,
     International Network Services, January 1996.

[3]  McCloghrie, K., and M. Rose, Editors, "Management Information Base
     for Network Management of TCP/IP-based internets: MIB-II", STD 17,
     RFC 1213, Hughes LAN Systems, Performance Systems International,
     March 1991.

[4]  Case, J., Fedor, M., Schoffstall, M., and J. Davin, "Simple Network
     Management Protocol", RFC 1157, SNMP Research, Performance Systems
     International, Performance Systems International, MIT Laboratory
     for Computer Science, May 1990.

[5]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and
     S. Waldbusser, "Protocol Operations for Version 2 of the Simple
     Network Management Protocol (SNMPv2)", RFC1905, SNMP Research,Inc.,
     Cisco Systems, Inc., Dover Beach Consulting, Inc., International
     Network Services, January 1996.

[6]  McCloghrie, K., and Kastenholtz, F., "Interfaces Group Evolution",
     RFC 1573, Huges LAN Systems, FTP Software, January 1994.

Expires May 1998                                               [Page 60]


INTERNET-DRAFT                  MARS MIB                   November 1997

6.  Security Considerations

   Security issues are not discussed in this memo.

7.  Authors' Addresses

                  Chris Chung
                  Science Applications International Corp. (SAIC)
                  1710 Goodridge Drive
                  Mail Stop 1-4-7
                  McLean, VA 22102
                  Phone: (703) 448-6485
                  EMail: [email-masked]

                  Maria Greene (editor)
                  Independent Contractor
                  E-mail: [email-masked]

8.  Changes since version 03

(Note: this section will be removed when the document becomes an RFC.)

The following changes have been made to the MIB:

1) Removed ipAtmMarsClientMsgCsn from IpAtmMarsClientEntry

2) Removed ipAtmMarsRegClientCsn from IpAtmMarsRegClientEntry

3) Removed ipAtmMarsRegServerSsn from IpAtmMarsRegServerEntry

4) Added ipAtmMarsCsn and ipAtmMarsSsn to IpAtmMarsEntry

Expires May 1998                                               [Page 61]


INTERNET-DRAFT                  MARS MIB                   November 1997

   Table of Contents

   1 The SNMP Network Management Framework ........................    2
   1.1 Object Definitions .........................................    2
   2 Overview .....................................................    3
   2.1 The MARS Client Group ......................................    3
   2.2 The MARS Server Group ......................................    4
   2.3 The MARS Multicast Server Group ............................    5
   3  IP  over  ATM  Multicast  Address  Resolution  Server  MIB
        Definitions ...............................................    6
   4 Acknowledgments ..............................................   60
   5 References ...................................................   60
   6 Security Considerations ......................................   61
   7 Authors' Addresses ...........................................   61
   8 Changes since version 03 .....................................   61

Expires May 1998                                               [Page 62]